GET BarnChat/GetLatestChatSummaryByPersonID?personID={personID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
personID

string

None.

Body Parameters

None.

Response Information

Resource Description

ChatSummaryDto
NameDescriptionTypeAdditional information
unreadCount

integer

None.

latestMessage

ChatLatestMessageDto

None.

Response Formats

application/json, text/json

Sample:
{
  "unreadCount": 1,
  "latestMessage": {
    "senderName": "sample string 1",
    "snippet": "sample string 2",
    "timestamp": "sample string 3",
    "barnChatId": 4,
    "authorId": 5
  }
}

application/xml, text/xml

Sample:
<ChatSummaryDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Equestrian.Entities.Home">
  <LatestMessage>
    <AuthorId>5</AuthorId>
    <BarnChatId>4</BarnChatId>
    <SenderName>sample string 1</SenderName>
    <Snippet>sample string 2</Snippet>
    <Timestamp>sample string 3</Timestamp>
  </LatestMessage>
  <UnreadCount>1</UnreadCount>
</ChatSummaryDto>